Retrieves Autoscaler settings
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/autoscaling/settings \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/autoscaling/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/autoscaling/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"services": {}
}Autoscaling
Retrieves Autoscaler settings
Retrieves Autoscaler settings
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
autoscaling
/
settings
Retrieves Autoscaler settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A string that uniquely identifies the project
A string that uniquely identifies the project environment
Response
default - application/json
Autoscaler settings
Update model for autoscaling settings.
This model is mainly used for partial updates (PATCH), therefore all its attributes are optional.
Each service for which autoscaling is configured is listed in the key
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?